<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>How do I generate the diagnostics logs?</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-generate-diagnostics-logs.html">Open topic with navigation</a>
        </p>
        <h3 class="FAQ">How do I generate the diagnostics logs?</h3>
        <p>To run the diagnostic shell in Windows, select <b class="UISelection">Start &gt; All Programs &gt; Metasploit &gt; Diagnostics Log</b>. Metasploit runs the diagnostics batch file and generates a Zip file that contains all of the Metasploit logs. You can find the generated Zip file, called <code class="usertype">diagnostic-date-time.zip</code>, in <code>/path/to/Metasploit</code>.</p>
        <p>To run the diagnostic shell in Linux, open a command line terminal the following command:</p>
        <p class="indentCode">run sudo /opt/metasploit/diagnostic_logs.sh</p>
        <p>You can find the generated Zip file, called diagnostic-date-time.zip, in <code>/opt/$INSTALL_ROOT</code>.</p>
    </body>
</html>